Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class VerticalFillList

    java.lang.Object
      net.sf.jasperreports.engine.component.BaseFillComponent
          net.sf.jasperreports.components.list.BaseFillList
              net.sf.jasperreports.components.list.VerticalFillList

All Implemented Interfaces:
  FillComponent

    public class VerticalFillList

extends BaseFillList

Vertical fill list component implementation.

Version:
  $Id: VerticalFillList.java 3237 2009-12-28 14:22:06Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.components.list.BaseFillList
`BaseFillList.AppendingPrintElementContainer`

Field Summary

Fields inherited from class net.sf.jasperreports.components.list.BaseFillList
`contentsHeight, datasetRun, filling, fillStarted, printFrame, printFrameTemplates`

Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`fillContext`

Constructor Summary
`VerticalFillList(ListComponent component, JRFillObjectFactory factory)`

Method Summary
`protected boolean` | `fillContents(int availableHeight)`
`FillPrepareResult` | `prepare(int availableHeight)` Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.

Methods inherited from class net.sf.jasperreports.components.list.BaseFillList
`createDatasetExpressionEvaluator, createPrintFrame, evaluate, fill, getFrameTemplate, rewind`

Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`evaluateDelayedElement, evaluateExpression, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerticalFillList

    public VerticalFillList(ListComponent component,
                            JRFillObjectFactory factory)
                     throws JRException

Throws:
  `JRException`

Method Detail

### prepare

    public FillPrepareResult prepare(int availableHeight)

  Description copied from interface: `FillComponent`
  Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.

  Parameters:
    `availableHeight` - the amount of vertical space available for the component, starting from the top of the component element.
  Returns:
    the result of the preparation, which specifies whether the component will print and how much it will stretch vertically.

### fillContents

    protected boolean fillContents(int availableHeight)
                            throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com